changeset 1068:31b5d683ecc9

Try again: extract native compiler into usr, not into /.
author Rob Landley <rob@landley.net>
date Thu, 06 May 2010 00:04:27 -0500
parents d4b0e9d731fc
children 3df307ef6007
files build.sh
diffstat 1 files changed, 6 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/build.sh	Wed May 05 22:57:05 2010 -0500
+++ b/build.sh	Thu May 06 00:04:27 2010 -0500
@@ -110,8 +110,10 @@
 
   # Copy native compiler
 
-  cp -a "$BUILD/native-compiler-$ARCH/." "$BUILD/root-filesystem-$ARCH/${ROOT_NODIRS:+usr}" ||
-    dienow
+  [ -z "$ROOT_NODIRS" ] && USRDIR="/usr" || USRDIR=""
+  
+  cp -a "$BUILD/native-compiler-$ARCH/." \
+    "$BUILD/root-filesystem-$ARCH$USRDIR" || dienow
 fi
 
 if not_already system-image
@@ -119,6 +121,8 @@
   time ./system-image.sh $1 || exit 1
 fi
 
+# Optionally build a system image with a writeable root filesystem.
+
 if [ ! -z "$BUILD_RW_SYSTEM_IMAGE" ] && not_already rw-image
 then
   # Optimization: don't rebuild kernel if we don't need to.